public static interface Sjms2EndpointBuilderFactory.Sjms2Builders
| Modifier and Type | Method and Description |
|---|---|
default Sjms2EndpointBuilderFactory.Sjms2EndpointBuilder |
sjms2(String path)
Simple JMS2 (camel-sjms2)
Send and receive messages to/from a JMS Queue or Topic using plain
JMS 2.x API.
|
default Sjms2EndpointBuilderFactory.Sjms2EndpointBuilder |
sjms2(String componentName,
String path)
Simple JMS2 (camel-sjms2)
Send and receive messages to/from a JMS Queue or Topic using plain
JMS 2.x API.
|
default Sjms2EndpointBuilderFactory.Sjms2EndpointBuilder sjms2(String path)
sjms2:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 2 enums and the value can be one of: queue, topic
Path parameter: destinationName (required)
DestinationName is a JMS queue or topic name. By default, the
destinationName is interpreted as a queue name.path - destinationType:destinationNamedefault Sjms2EndpointBuilderFactory.Sjms2EndpointBuilder sjms2(String componentName, String path)
sjms2:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 2 enums and the value can be one of: queue, topic
Path parameter: destinationName (required)
DestinationName is a JMS queue or topic name. By default, the
destinationName is interpreted as a queue name.componentName - to use a custom component name for the endpoint
instead of the default namepath - destinationType:destinationNameApache Camel